Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class Sgeqpf

    java.lang.Object
      org.netlib.lapack.Sgeqpf

    public class Sgeqpf

extends java.lang.Object

    Following is the description from the original
    Fortran source.  For each array argument, the Java
    version will include an integer offset parameter, so
    the arguments may not match the description exactly.
    Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  This routine is deprecated and has been replaced by routine SGEQP3.
     *
     *  SGEQPF computes a QR factorization with column pivoting of a
     *  real M-by-N matrix A: A*P = Q*R.
     *
     *  Arguments
     *  =========
     *
     *  M       (input) INTEGER
     *          The number of rows of the matrix A. M >= 0.
     *
     *  N       (input) INTEGER
     *          The number of columns of the matrix A. N >= 0
     *
     *  A       (input/output) REAL array, dimension (LDA,N)
     *          On entry, the M-by-N matrix A.
     *          On exit, the upper triangle of the array contains the
     *          min(M,N)-by-N upper triangular matrix R; the elements
     *          below the diagonal, together with the array TAU,
     *          represent the orthogonal matrix Q as a product of
     *          min(m,n) elementary reflectors.
     *
     *  LDA     (input) INTEGER
     *          The leading dimension of the array A. LDA >= max(1,M).
     *
     *  JPVT    (input/output) INTEGER array, dimension (N)
     *          On entry, if JPVT(i) .ne. 0, the i-th column of A is permuted
     *          to the front of A*P (a leading column); if JPVT(i) = 0,
     *          the i-th column of A is a free column.
     *          On exit, if JPVT(i) = k, then the i-th column of A*P
     *          was the k-th column of A.
     *
     *  TAU     (output) REAL array, dimension (min(M,N))
     *          The scalar factors of the elementary reflectors.
     *
     *  WORK    (workspace) REAL array, dimension (3*N)
     *
     *  INFO    (output) INTEGER
     *          = 0:  successful exit
     *          < 0:  if INFO = -i, the i-th argument had an illegal value
     *
     *  Further Details
     *  ===============
     *
     *  The matrix Q is represented as a product of elementary reflectors
     *
     *     Q = H(1) H(2) . . . H(n)
     *
     *  Each H(i) has the form
     *
     *     H = I - tau * v * v'
     *
     *  where tau is a real scalar, and v is a real vector with
     *  v(1:i-1) = 0 and v(i) = 1; v(i+1:m) is stored on exit in A(i+1:m,i).

     *
     *  The matrix P is represented in jpvt as follows: If
     *     jpvt(j) = i
     *  then the jth column of P is the ith canonical unit vector.
     *
     *  Partial column norm updating strategy modified by
     *    Z. Drmac and Z. Bujanovic, Dept. of Mathematics,
     *    University of Zagreb, Croatia.
     *    June 2006.
     *  For more details see LAPACK Working Note 176.
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`Sgeqpf()`

Method Summary
`static void` | `sgeqpf(int m, int n, float[] a, int _a_offset, int lda, int[] jpvt, int _jpvt_offset, float[] tau, int _tau_offset, float[] work, int _work_offset, intW info)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Sgeqpf

    public Sgeqpf()

Method Detail

### sgeqpf

    public static void sgeqpf(int m,
                              int n,
                              float[] a,
                              int _a_offset,
                              int lda,
                              int[] jpvt,
                              int _jpvt_offset,
                              float[] tau,
                              int _tau_offset,
                              float[] work,
                              int _work_offset,
                              intW info)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD